package uk.kerb.sammy.pop
{
   import Box2D.Dynamics.b2World;
   import flash.display.MovieClip;
   import flash.display.Sprite;
   import flash.events.TimerEvent;
   import flash.utils.Timer;
   import uk.kerb.utils.AssetFactory;
   
   public class EvilBall extends Ball
   {
       
      
      public var dead:Boolean = false;
      
      private var timer:Timer;
      
      private const LIFESPAN:int = 6000;
      
      public function EvilBall(param1:b2World, param2:Sprite, param3:AssetFactory)
      {
         super(param1,param2,param3);
         colour = Ball.COLOUR_BLACK;
         timer = new Timer(LIFESPAN,1);
         timer.addEventListener(TimerEvent.TIMER,onTimer);
         timer.start();
      }
      
      override protected function getMovieClip(param1:String, param2:AssetFactory) : MovieClip
      {
         return param2.createDisplayObject("BallEvil") as MovieClip;
      }
      
      private function onTimer(param1:TimerEvent) : void
      {
         timer.removeEventListener(TimerEvent.TIMER,onTimer);
         timer = null;
         dead = true;
      }
   }
}
