package uk.kerb.sammy.pop
{
   import flash.display.MovieClip;
   import flash.events.Event;
   import flash.events.TimerEvent;
   import flash.utils.Timer;
   import uk.kerb.utils.AssetFactory;
   import uk.kerb.utils.sound.SoundManager;
   
   public class GetReady extends AbstractSection
   {
       
      
      private var timer:Timer;
      
      private var mc:MovieClip;
      
      public function GetReady()
      {
         super();
         SoundManager.getInstance().getSoundFromID("music").play();
      }
      
      override public function init(param1:AssetFactory) : void
      {
         super.init(param1);
         mc = param1.createDisplayObject("GetReadySection") as MovieClip;
         addChild(mc);
         timer = new Timer(1275,1);
         timer.addEventListener(TimerEvent.TIMER,onTimer);
         timer.start();
      }
      
      override public function destroy() : void
      {
         timer.removeEventListener(TimerEvent.TIMER,onTimer);
         timer = null;
      }
      
      override public function getNextSection() : Class
      {
         return Game;
      }
      
      private function onTimer(param1:Event) : void
      {
         dispatchEvent(new Event(Event.COMPLETE));
      }
   }
}
