package uk.kerb.sammy.pop
{
   import flash.display.MovieClip;
   import flash.events.Event;
   import flash.events.MouseEvent;
   import uk.kerb.utils.AssetFactory;
   import uk.kerb.utils.sound.SoundManager;
   
   public class Instructions extends AbstractSection
   {
       
      
      private var mc:MovieClip;
      
      private var active:Boolean = false;
      
      public function Instructions()
      {
         super();
         addEventListener(Event.ENTER_FRAME,onEnterFrame);
      }
      
      override public function init(param1:AssetFactory) : void
      {
         super.init(param1);
         mc = param1.createDisplayObject("InstructionsSection") as MovieClip;
         addChild(mc);
      }
      
      private function onEnterFrame(param1:Event) : void
      {
         if(mc.buttonAnimation_mc.go_btn != null && !active)
         {
            mc.buttonAnimation_mc.go_btn.addEventListener(MouseEvent.CLICK,onGoClick);
            active = true;
         }
         if(mc.buttonAnimation_mc.currentFrame == mc.buttonAnimation_mc.totalFrames)
         {
            dispatchEvent(new Event(Event.COMPLETE));
         }
      }
      
      override public function getNextSection() : Class
      {
         return GetReady;
      }
      
      private function onGoClick(param1:MouseEvent) : void
      {
         SoundManager.getInstance().getSoundFromID("button").play();
         mc.buttonAnimation_mc.play();
      }
      
      override public function destroy() : void
      {
         removeEventListener(Event.ENTER_FRAME,onEnterFrame);
         if(mc.buttonAnimation_mc.go_btn != null)
         {
            mc.buttonAnimation_mc.go_btn.removeEventListener(MouseEvent.CLICK,onGoClick);
         }
      }
   }
}
