package uk.kerb.sammy.pop
{
   import flash.display.DisplayObject;
   import flash.display.MovieClip;
   import flash.display.StageAlign;
   import flash.display.StageScaleMode;
   import flash.events.Event;
   import flash.utils.getDefinitionByName;
   import uk.kerb.utils.AssetFactory;
   
   public class Preload extends MovieClip
   {
       
      
      private var SWFBytes:Class;
      
      private var af:AssetFactory;
      
      private var preloadDisplay:MovieClip;
      
      public function Preload()
      {
         SWFBytes = Preload_SWFBytes;
         super();
         stop();
         stage.scaleMode = StageScaleMode.NO_SCALE;
         stage.align = StageAlign.TOP_LEFT;
         af = new AssetFactory();
         af.addEventListener(AssetFactory.EVENT_ASSET_FACTORY_READY,onAssetFactoryReady);
         af.initialize(SWFBytes);
      }
      
      private function onEnterFrame(param1:Event) : void
      {
         var _loc2_:Number = root.loaderInfo.bytesLoaded;
         var _loc3_:Number = root.loaderInfo.bytesTotal;
         var _loc4_:Number = _loc2_ / _loc3_;
         preloadDisplay.phone_mc.biegething_mc.bar_mc.gotoAndStop(Math.ceil(100 * _loc4_));
         if(_loc4_ == 1)
         {
            preloadComplete();
         }
      }
      
      private function onAssetFactoryReady(param1:Event) : void
      {
         param1.target.removeEventListener(AssetFactory.EVENT_ASSET_FACTORY_READY,onAssetFactoryReady);
         preloadDisplay = af.createDisplayObject("ZebPreloader") as MovieClip;
         preloadDisplay.phone_mc.biegething_mc.bar_mc.gotoAndStop(1);
         addChild(preloadDisplay);
         addEventListener(Event.ENTER_FRAME,onEnterFrame);
      }
      
      private function preloadComplete() : void
      {
         var _loc2_:Object = null;
         removeEventListener(Event.ENTER_FRAME,onEnterFrame);
         nextFrame();
         removeChild(preloadDisplay);
         var _loc1_:Class = Class(getDefinitionByName("pop"));
         if(_loc1_)
         {
            _loc2_ = new _loc1_();
            addChild(_loc2_ as DisplayObject);
         }
      }
   }
}
